using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.RoleManager.Repository;

namespace e_suite.Modules.RoleManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<RoleManagerRepository>().As<IRoleManagerRepository>().InstancePerLifetimeScope();

        builder.RegisterType<RoleManager>().As<IRoleManager>().InstancePerLifetimeScope();
    }
}